Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.java.util
Class UnsupportedOperationException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.server.java.util.UnsupportedOperationException`

All Implemented Interfaces:
  java.io.Serializable

public class UnsupportedOperationException
extends java.lang.RuntimeException

Thrown by an Object to indicate that it does not support the requested operation.

Since:
  JDK1.2
See Also:
  Serialized Form

Constructor Summary
`UnsupportedOperationException()` Constructs an UnsupportedOperationException with no detail message.
`UnsupportedOperationException(java.lang.String message)` Constructs an UnsupportedOperationException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedOperationException

    public UnsupportedOperationException()

  Constructs an UnsupportedOperationException with no detail message.

### UnsupportedOperationException

    public UnsupportedOperationException(java.lang.String message)

  Constructs an UnsupportedOperationException with the specified detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.